Create combined baseline/rebaseline job
curl --request POST \
--url https://api.monitor.weborion.io/api/v1/batch_jobs/combined_baseline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"user_agent_id": 123,
"text_string_appear": "<string>",
"text_string_not_appear": "<string>"
}
'import requests
url = "https://api.monitor.weborion.io/api/v1/batch_jobs/combined_baseline"
payload = {
"urls": ["<string>"],
"user_agent_id": 123,
"text_string_appear": "<string>",
"text_string_not_appear": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urls: ['<string>'],
user_agent_id: 123,
text_string_appear: '<string>',
text_string_not_appear: '<string>'
})
};
fetch('https://api.monitor.weborion.io/api/v1/batch_jobs/combined_baseline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Batch Jobs
Create combined baseline/rebaseline job
Creates a batch job that adds new webpages or rebaselines existing ones depending on whether they already exist. For pages to be rebaselined, the status is immediately set to Baseline Incomplete, pausing monitoring until rebaseline completes.
Note: If more than one rebaseline is queued for the same webpage, the Baseline Incomplete status is removed when the first rebaseline finishes, even if a second is still in queue.
POST
/
api
/
v1
/
batch_jobs
/
combined_baseline
Create combined baseline/rebaseline job
Authorizations
Generate an API token from the WebOrion Defacement Monitor portal. Pass it as Authorization: Bearer <token>.
Body
application/json
Response
200
OK
⌘I
